## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# NOTE(mhayden): Tests require docker + network access. Disabled for now.
%bcond_with     tests

%global         srcname     azure-mgmt-compute
%global         tarball_name     azure_mgmt_compute

Name:           python-%{srcname}
Version:        34.1.0
Release:        %autorelease
Summary:        Microsoft Azure Compute Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{tarball_name} %{version}}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-authorization)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-mgmt-storage)
BuildRequires:  python3dist(azure-mgmt-network)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif


%global _description %{expand:
Microsoft Azure Compute Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{tarball_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest --disable-warnings
%endif


# LICENSE file is missing. PR made to fix:
# https://github.com/Azure/azure-sdk-for-python/pull/20160
%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
## START: Generated by rpmautospec
* Thu Jun 12 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:34.1.0-1
- Update to v34.1

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1:33.0.0-3
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1:33.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Sep 16 2024 Jeremy Cline <jeremycline@linux.microsoft.com> - 1:33.0.0-1
- Update to upstream v33.0.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:31.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1:31.0.0-2
- Rebuilt for Python 3.13

* Wed May 29 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:31.0.0-1
- Update to version 31.0.0

* Wed Apr 03 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:30.6.0-1
- Update to v30.6.0

* Thu Feb 01 2024 Major Hayden <major@redhat.com> - 1:30.4.0-1
- Update to 30.4.0 rhbz#2253123

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:30.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:30.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 1:30.3.0-1
- Update to 30.3.0 rhbz#2249655

* Tue Aug 01 2023 Major Hayden <major@redhat.com> - 1:30.0.0-1
- Update to 30.0.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:29.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 1:29.1.0-3
- Rebuilt for Python 3.12

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:29.1.0-2
- S

* Fri Feb 10 2023 Major Hayden <major@redhat.com> - 1:29.1.0-1
- Update to 29.1.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:29.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 01 2022 Major Hayden <major@redhat.com> - 1:29.0.0-1
- Update to 29.0.0

* Fri Oct 14 2022 Major Hayden <major@redhat.com> - 1:28.0.0-1
- Update to 28.0.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:27.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 05 2022 Major Hayden <major@redhat.com> - 1:27.1.0-1
- Update to 27.1.0

* Tue Jun 28 2022 Major Hayden <major@redhat.com> - 1:27.0.0-3
- Add tests

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1:27.0.0-2
- Rebuilt for Python 3.11

* Tue May 24 2022 Major Hayden <major@mhtx.net> - 1:27.0.0-1
- Update to 27.0.0

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> - 1:26.1.0-1
- Update to 26.1.0

* Tue Mar 01 2022 Major Hayden <major@mhtx.net> - 1:25.0.0-1
- Update to 25.0.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:23.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:23.1.0-1
- Update to 23.1.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> - 1:23.0.0-1
- Update to 23.0.0

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> - 1:22.1.0-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:22.1.0-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> - 1:22.1.0-1
- Update to 22.1.0

* Mon Aug 09 2021 Major Hayden <major@mhtx.net> - 1:22.0.0-1
- Update to 22.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:21.0.0-3
- Update sources

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:21.0.0-2
- Bump release number

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:21.0.0-1
- Downgrade to 21.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 22.0.0-1
- Revert "Update to 22.1.0"

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 22.1.0-1
- Update to 22.1.0

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> - 22.0.0-1
- Update to 22.0.0

* Sun Jul 04 2021 Major Hayden <major@mhtx.net> - 21.0.0-1
- Initial import (#1971787)
## END: Generated by rpmautospec
